[BUGFIX] Ensure no PHP warning is thrown if legacy code is used 44/60844/2
authorBenni Mack <benni@typo3.org>
Wed, 29 May 2019 21:28:56 +0000 (23:28 +0200)
committerBenni Mack <benni@typo3.org>
Wed, 5 Jun 2019 11:39:47 +0000 (13:39 +0200)
commit420a17e9d585abce0ec912755661cceb56046756
tree91f9cce52771d5738e8ec61e16a6b762ccb5c8f6
parent594abbc1a7bc253cb4f17edb58a5ec6bbf31087c
[BUGFIX] Ensure no PHP warning is thrown if legacy code is used

When no constant is given (due to old OS),
a PHP warning is now triggered due to PHP 7.2. This is
overcome to use the polyfill functionality instead then.

Resolves: #88443
Releases: master, 9.5
Change-Id: I5ac673f10bc1421e543b8f969a0111e9bbc9c11e
Reviewed-on: https://review.typo3.org/c/Packages/TYPO3.CMS/+/60844
Tested-by: TYPO3com <noreply@typo3.com>
Tested-by: Michael Waack <m.waack@i-d.de>
Tested-by: Thomas Anders <me@naderio.de>
Tested-by: Benni Mack <benni@typo3.org>
Reviewed-by: Michael Waack <m.waack@i-d.de>
Reviewed-by: Frank Naegler <frank.naegler@typo3.org>
Reviewed-by: Thomas Anders <me@naderio.de>
Reviewed-by: Benni Mack <benni@typo3.org>
typo3/sysext/core/Classes/Utility/HttpUtility.php